%define major           2
%define libname         %mklibname cangjie %{major}
%define develname       %mklibname -d cangjie

Name:             libcangjie
Summary:          Cangjie Input Method Library
Version:          1.3
Release:          %mkrel 3
License:          LGPLv3+
Group:            System/Internationalization
URL:              http://cangjians.github.io/projects/%{name}
Source0:          https://github.com/Cangjians/libcangjie/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:    pkgconfig(sqlite3)
BuildRequires:    sqlite3-tools

%description
Library implementing the Cangjie input method.

%package -n %{libname}
Summary:          Cangjie Input Method Library
Group:            System/Internationalization
# Split out so it can be noarch
Requires:         %{name}-data >= %{version}-%{release}

%description -n %{libname}
Library implementing the Cangjie input method.

%package data
Summary:          Database for %{name}
BuildArch:        noarch

%description data
Database for %{name}.

%package -n %{develname}
Summary:          Development files for %{name}
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}
Requires:         sqlite3-devel

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%check
%make check

%files -n %{libname}
%doc AUTHORS COPYING README.md
%{_libdir}/%{name}.so.%{major}{,.*}

%files data
%doc data/README.table.rst
%{_datadir}/%{name}/

%files -n %{develname}
%{_bindir}/libcangjie_*
%{_includedir}/cangjie/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/cangjie.pc



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.3-3.mga8
+ Revision: 1489129
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 09 2018 wally <wally> 1.3-2.mga7
+ Revision: 1258060
- loosen lib pkg requires

* Tue May 10 2016 tv <tv> 1.3-1.mga6
+ Revision: 1012106
- new release
- fix source URL

* Wed Feb 03 2016 umeabot <umeabot> 1.1-4.mga6
+ Revision: 934030
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 744119
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 681363
- Mageia 5 Mass Rebuild

* Fri Mar 07 2014 joequant <joequant> 1.1-1.mga5
+ Revision: 600823
- add description tag for lib package
- change to sqlite3
- add sqlite3-tools to requires
- imported package libcangjie

